> ## Documentation Index
> Fetch the complete documentation index at: https://docs.helicone.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prompt Inputs

> Get the inputs used for a specific prompt version in a request

Returns the input variables that were used when a specific prompt version was executed in a request.

### Path Parameters

<ParamField path="promptId" type="string" required>
  The unique identifier of the prompt
</ParamField>

<ParamField path="versionId" type="string" required>
  The unique identifier of the prompt version
</ParamField>

### Query Parameters

<ParamField query="requestId" type="string" required>
  The request ID to retrieve inputs from
</ParamField>

### Response

<ResponseField name="request_id" type="string">
  The request ID
</ResponseField>

<ResponseField name="version_id" type="string">
  The version ID
</ResponseField>

<ResponseField name="inputs" type="object">
  Key-value pairs of input variables and their values used in the request
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.helicone.ai/v1/prompt-2025/id/prompt_123/version_456/inputs?requestId=req_789" \
    -H "Authorization: Bearer $HELICONE_API_KEY"
  ```

  ```typescript TypeScript theme={null}
  const response = await fetch(
    'https://api.helicone.ai/v1/prompt-2025/id/prompt_123/version_456/inputs?requestId=req_789',
    {
      method: 'GET',
      headers: {
        'Authorization': `Bearer ${HELICONE_API_KEY}`,
      },
    }
  );

  const inputs = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "request_id": "req_789",
    "version_id": "version_456",
    "inputs": {
      "user_name": "Alice",
      "product_name": "Pro Plan",
      "support_level": "premium"
    }
  }
  ```
</ResponseExample>
